<?php
require_once('oauth_conf.php');
session_start();
if (isset($_GET['denied'])) { // 認可が拒否された場合
    header('Location: /wdpress/63/2/');
    exit();
}

$oauth = new OAuth($conf['consKey'], $conf['consSecret']);
$oauth->setToken($_GET['oauth_token'],
                 $_SESSION['reqTokenSecret']);
$acsToken = $oauth->getAccessToken($conf['acsTokenUrl'],
                                   $_GET['oauth_verifier']);

$_SESSION['acsToken']       = $acsToken['oauth_token'];
$_SESSION['acsTokenSecret'] = $acsToken['oauth_token_secret'];
$_SESSION['userName']       = $acsToken['screen_name'];

unset($_SESSION['reqTokenSecret']);

// リダイレクト
header('Location: result.php');

?>
