<?php
require_once('oauth_conf.php');
session_start();

try{
$oauth = new OAuth($conf['consKey'], $conf['consSecret']);
$reqToken = $oauth->getRequestToken($conf['reqTokenUrl'],
                                    $conf['callbackUrl']);

$_SESSION['reqTokenSecret'] = $reqToken['oauth_token_secret'];



/*
Array
(
    [oauth_token] => YaHPL9xrWmQId4C19fMKWBvyEWOTZeZf6u4DYfISCV4
    [oauth_token_secret] => dXhECjUgq1zkDOeEYRMY9DnwQzd1LKSw6zfJpQoYhI
    [oauth_callback_confirmed] => true
)
*/

// ユーザ認可ページにリダイレクト
$url = $conf['authUrl'];
$url .= '?oauth_token=' . $reqToken['oauth_token'];
header('Location: ' . $url);


} catch(OAuthException $e) {
    print_r($e);
}
