<?php

/* ※連携するWebサービスによって読み込む oauth_conf.php とスコープを分けてあります。 */
session_start();
$service = strtolower($_POST['service']);
$_SESSION['service'] = $service;
if ($service == 'mixi') { // ※mixiの場合

    require_once('oauth_conf_mixi.php');
    $scope = 'w_voice r_updates';

} elseif ($service == 'facebook') { // ※Facebookの場合

    require_once('oauth_conf_fb.php');
    $scope = 'publish_stream,read_stream';

} else { // 4章のサンプルの場合

    require_once('oauth_conf_chapter4.php');
    $scope = 'w_voice';

}

$params = array(
  'client_id'     => $conf['consKey'],
  'scope'         => $scope,
  'response_type' => 'code',
  'redirect_uri'  => $conf['callbackUrl'],
);
$url = $conf['authUrl'] . '?' . http_build_query($params);
header('Location: ' . $url);
?>
