<?php
require_once('oauth_conf_chapter4.php');
session_start();
if (!isset($_SESSION['acsToken'])) {
  header('Location: /wdpress/63/3/');
  exit();
}

$url = sprintf('http://%s/wdpress/63/4/voice_api.php', $_SERVER['HTTP_HOST']);
$url .= '?oauth_token=' . $_SESSION['acsToken'];

$status = 'WEB+DB PRESS Vol.63 なう。http://bit.ly/webdbpress';
$params = array('status' => $status, 'oauth_token'=>$_SESSION['acsToken']);
$response = doPost($url, $params);
$tweets = json_decode($response);

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<head>
<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<title>3章 mixi/Facebook連携アプリケーションを作ろう | WEB+DB PRESS Vol.63 作って学ぶOAuth認証 サンプル</title>

<link rel="stylesheet" type="text/css" href="http://yui.yahooapis.com/3.3.0/build/cssreset/reset-min.css" />
<link rel="stylesheet" type="text/css" href="../style.css" />
</head>
<body class="chapter_page">

<h1 id="FeatureTitle"><span class="vol">WEB+DB PRESS Vol.63</span><br />作って学ぶOAuth認証 サンプル</h1>
<h2 id="ChapterTitle">3章　mixi/Facebook連携アプリケーションを作ろう 〜 OAuth 2.0 コンシューマの実装 〜</h2>

<ol id="Tweets"><?php foreach($tweets->items as $s): ?>
<li class="clearfix">
    <div class="tweet">
        <p class="tweet_text"><?php echo htmlspecialchars($s->status); ?></p>
        <p class="date"><?php $d = new DateTime('@'.$s->time); $d->setTimezone(new DateTimeZone('Asia/Tokyo')); echo $d->format("Y/m/d H:i:s"); ?></p>
    </div>
</li>
<?php endforeach; ?></ol>

<div id="Footer">
    <a href="../">&laquo; サンプルインデックスに戻る</a>
</div>
</body>
</html>
