<?php
require('common.inc');
session_start();

if (!isset($_SESSION['authInfo'])) {
  header('HTTP/1.0 400 Bad Request', false);
  exit();
}

if ($_SERVER['REQUEST_METHOD'] != 'POST') {
  header('HTTP/1.0 405 Method Not Allowed', false);
  exit();
}

$authInfo = $_SESSION['authInfo'];
$redirectUri = $authInfo['redirect_uri'];

if ($_POST['auth'] === '許可する') {
  $authCode = uniqid();
  $authInfo['userId'] = 'kimurafumino';
  $memcache->add('CODE_' . $authCode, $authInfo, false, 900);

  redirectToCallbackUrl(
    $redirectUri, 
    array('code' => $authCode)
  );
} else {
  redirectToCallbackUrl(
    $redirectUri, 
    array('error' => 'access_denied')
  );
}
session_destroy();
exit();
?>
